summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-13 17:53:28 +0000
committer David Spencer <idlemoor@slackbuilds.org>2018-01-13 17:53:28 +0000
commit77bbfab78eb249f631a327a9df2d84bf75091fcc (patch)
treedc00f2cd1d9a0f86b5d56bd7467050d91f19d590
parent2bc9eec3b12c066593643d204b18c072a356448d (diff)
downloadslackbuilds-77bbfab78.tar.gz
slackbuilds-77bbfab78.tar.xz
development/nodejs6: Added (JavaScript runtime).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--development/nodejs6/README10
-rw-r--r--development/nodejs6/nodejs6.SlackBuild124
-rw-r--r--development/nodejs6/nodejs6.info10
-rw-r--r--development/nodejs6/npm.sh58
-rw-r--r--development/nodejs6/slack-desc19
5 files changed, 221 insertions, 0 deletions
diff --git a/development/nodejs6/README b/development/nodejs6/README
new file mode 100644
index 0000000..f066892
--- /dev/null
+++ b/development/nodejs6/README
@@ -0,0 +1,10 @@
+Node.js is a JavaScript runtime built on Chrome's V8 JavaScript engine.
+
+Node.js uses an event-driven, non-blocking I/O model that makes it
+lightweight and efficient. Node.js' package ecosystem, npm, is the
+largest ecosystem of open source libraries in the world.
+
+NOTE
+This is the LTS version of nodejs 6 (Boron) which will be maintained
+up to April 2019 or until all scripts have been known to work with
+nodejs LTS 8.x (Carbon).
diff --git a/development/nodejs6/nodejs6.SlackBuild b/development/nodejs6/nodejs6.SlackBuild
new file mode 100644
index 0000000..5740cb1
--- /dev/null
+++ b/development/nodejs6/nodejs6.SlackBuild
@@ -0,0 +1,124 @@
+#!/bin/sh
+
+# Slackware build script for nodejs6
+# Thanks to Audrius Ka┼żukauskas
+
+# Ryan P.C. McQuen | Everett, WA | ryanpcmcquen@member.fsf.org
+# Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <https://www.gnu.org/licenses/>.
+
+PRGNAM=nodejs6
+SRCNAM=node
+VERSION=${VERSION:-6.12.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-v$VERSION
+tar xvf $CWD/$SRCNAM-v$VERSION.tar.xz
+cd $SRCNAM-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+## Fix man page path.
+sed -i 's|share/||' tools/install.py
+sed -i '/var manRoot/ s/"share",//' deps/npm/lib/{,un}build.js
+
+## Fix libdir for 64-bit.
+sed -i "s|lib/|lib${LIBDIRSUFFIX}/|g" tools/install.py
+sed -i "s/'lib'/'lib${LIBDIRSUFFIX}'/" lib/module.js
+sed -i "s|\"lib\"|\"lib${LIBDIRSUFFIX}\"|" deps/npm/lib/npm.js
+
+./configure \
+ --prefix=/usr \
+ --shared-zlib \
+ --shared-openssl
+
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+## Add bash completion file for npm.
+install -D -m 644 $CWD/npm.sh $PKG/usr/share/bash-completion/completions/npm
+
+## Remove unneeded files.
+find $PKG/usr \( -name '.git*' \) -exec rm -f {} \;
+
+## Set NODE_PATH to look for globally installed modules.
+mkdir -p $PKG/etc/profile.d
+cat > $PKG/etc/profile.d/${SRCNAM}.csh << EOF
+#!/bin/csh
+setenv NODE_PATH /usr/lib${LIBDIRSUFFIX}/node_modules
+EOF
+cat > $PKG/etc/profile.d/${SRCNAM}.sh << EOF
+#!/bin/sh
+export NODE_PATH=/usr/lib${LIBDIRSUFFIX}/node_modules
+EOF
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS LICENSE *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/nodejs6/nodejs6.info b/development/nodejs6/nodejs6.info
new file mode 100644
index 0000000..423a07d
--- /dev/null
+++ b/development/nodejs6/nodejs6.info
@@ -0,0 +1,10 @@
+PRGNAM="nodejs6"
+VERSION="6.12.3"
+HOMEPAGE="https://nodejs.org/"
+DOWNLOAD="https://nodejs.org/dist/v6.12.3/node-v6.12.3.tar.xz"
+MD5SUM="37ba59912cf6d699f3b86ed5f5d91f10"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/development/nodejs6/npm.sh b/development/nodejs6/npm.sh
new file mode 100644
index 0000000..25bef2c
--- /dev/null
+++ b/development/nodejs6/npm.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+###-begin-npm-completion-###
+#
+# npm command completion script
+#
+# Installation: npm completion >> ~/.bashrc (or ~/.zshrc)
+# Or, maybe: npm completion > /usr/local/etc/bash_completion.d/npm
+#
+
+if type complete &>/dev/null; then
+ _npm_completion () {
+ local words cword
+ if type _get_comp_words_by_ref &>/dev/null; then
+ _get_comp_words_by_ref -n = -n @ -w words -i cword
+ else
+ cword="$COMP_CWORD"
+ words=("${COMP_WORDS[@]}")
+ fi
+
+ local si="$IFS"
+ IFS=$'\n' COMPREPLY=($(COMP_CWORD="$cword" \
+ COMP_LINE="$COMP_LINE" \
+ COMP_POINT="$COMP_POINT" \
+ npm completion -- "${words[@]}" \
+ 2>/dev/null)) || return $?
+ IFS="$si"
+ }
+ complete -o default -F _npm_completion npm
+elif type compdef &>/dev/null; then
+ _npm_completion() {
+ local si=$IFS
+ compadd -- $(COMP_CWORD=$((CURRENT-1)) \
+ COMP_LINE=$BUFFER \
+ COMP_POINT=0 \
+ npm completion -- "${words[@]}" \
+ 2>/dev/null)
+ IFS=$si
+ }
+ compdef _npm_completion npm
+elif type compctl &>/dev/null; then
+ _npm_completion () {
+ local cword line point words si
+ read -Ac words
+ read -cn cword
+ let cword-=1
+ read -l line
+ read -ln point
+ si="$IFS"
+ IFS=$'\n' reply=($(COMP_CWORD="$cword" \
+ COMP_LINE="$line" \
+ COMP_POINT="$point" \
+ npm completion -- "${words[@]}" \
+ 2>/dev/null)) || return $?
+ IFS="$si"
+ }
+ compctl -K _npm_completion npm
+fi
+###-end-npm-completion-###
diff --git a/development/nodejs6/slack-desc b/development/nodejs6/slack-desc
new file mode 100644
index 0000000..9945d72
--- /dev/null
+++ b/development/nodejs6/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nodejs6: nodejs6 (JavaScript runtime)
+nodejs6:
+nodejs6: Node.js is a JavaScript runtime built on Chrome's V8 JavaScript
+nodejs6: engine.
+nodejs6:
+nodejs6: https://nodejs.org/
+nodejs6:
+nodejs6:
+nodejs6:
+nodejs6:
+nodejs6: